Subject: Re: linux-next: manual merge of the arm-soc tree with the arm tree

From: Tomi Valkeinen <[email-masked]>
Date: Tue, 29 Nov 2011 10:06:17 +0200

Hi,

On Mon, 2011-11-28 at 19:11 +0000, Arnd Bergmann wrote:
> On Sunday 27 November 2011, Stephen Rothwell wrote:
> > Today's linux-next merge of the arm-soc tree got a conflict in
> > arch/arm/plat-omap/include/plat/common.h between commit 4e65331c6bb4
> > ("ARM: 7159/1: OMAP: Introduce local common.h files") from the  tree and
> > commit 13662dc5b177 ("ARM: OMAP: HWMOD: Unify DSS resets for OMAPs") from
> > the arm-soc tree.
> > 
> > I did the obvious fixup (see below) and can carry the fix as necessary.
> 
> Your fix looks technically correct, thanks!
> 
> Tony, I believe what you actually want here is to move omap_dss_reset
> into mach-omap2/common.h, right?

omap_dss_reset will never be used by omap1 boards, so I think
mach-omap2/common.h would be a good place for it.

 Tomi